### Constructor

# Gtk.Shortcut.new

#### Declaration [src]

    GtkShortcut*
    gtk_shortcut_new (
      GtkShortcutTrigger* trigger,
      GtkShortcutAction* action
    )

#### Description [src]

Creates a new `GtkShortcut` that is triggered by `trigger` and then activates `action`.

#### Parameters

`trigger` | `GtkShortcutTrigger`
| The trigger that will trigger the shortcut
| Can be `NULL`
| Ownership of the data is transferred to the callee
`action` | `GtkShortcutAction`
| The action that will be activated upon triggering
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkShortcut`
a new `GtkShortcut`
Ownership of the data is transferred to the caller